function [ data ] = load_callback( data )
%Dateien einlesen, Histogramm erzeugen

points=100;
[name,speicherort]=uigetfile({'*.txt';'*.dat'});
oldfolder=cd(speicherort);
d=load(name);
cd(oldfolder);
v=sqrt(d(:,1).^2+d(:,2).^2+d(:,3).^2);

weite=max(v);
vv=linspace(0,weite,points);

pv=hist(v,vv)/numel(v)/weite*points;
set(data.bar_load,'xdata',vv,'ydata',pv);
set(data.bar_load,'visible','on');

end

